# Uses of Record Class
com.usatiuk.kleppmanntree.LogEffectOld

Packages that use LogEffectOld
Package
Description
com.usatiuk.kleppmanntree

## Uses of LogEffectOld in com.usatiuk.kleppmanntree

Methods in com.usatiuk.kleppmanntree that return LogEffectOld
Modifier and Type
Method
Description
`LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT>`
LogEffect.`oldInfo()`
Returns the value of the `oldInfo` record component.
Constructors in com.usatiuk.kleppmanntree with parameters of type LogEffectOld
Modifier
Constructor
Description
``
`LogEffect(LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT> oldInfo, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> effectiveOp, NodeIdT newParentId, MetaT newMeta, NodeIdT childId)`
Creates an instance of a `LogEffect` record class.